#ifndef DAGMON_H
#define DAGMON_H


int dagmon_ready(dag_softc_t *sc);
int dagmon_init(dag_softc_t *sc);
#ifndef _WIN32
int dagmon(dag_softc_t *sc, int command, int *param);
#else /* _WIN32 */
int dagmon(dag_softc_t *sc, int command, int *param, PDEVICE_OBJECT fdo);
#endif /* _WIN32 */
#endif /* DAGMON_H */
